Difference between revisions of "Arch MergeWalls"

From FreeCAD Documentation
Jump to navigation Jump to search
m (docnav)
(Marked this version for translation)
Line 2: Line 2:
 
{{Template:UnfinishedDocu}}
 
{{Template:UnfinishedDocu}}
 
<translate>
 
<translate>
 +
<!--T:5-->
 
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
 
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
  
Line 14: Line 15:
 
==Description== <!--T:2-->
 
==Description== <!--T:2-->
  
 +
<!--T:6-->
 
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected [[Arch Wall]]s.
 
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected [[Arch Wall]]s.
  
 
==How to use== <!--T:3-->  
 
==How to use== <!--T:3-->  
  
 +
<!--T:7-->
 
# Select two or more walls.
 
# Select two or more walls.
 
# Go to the menu {{MenuCommand|Arch → Utilities → [[Image:Arch MergeWalls.svg|16px]] Merge Walls}}.
 
# Go to the menu {{MenuCommand|Arch → Utilities → [[Image:Arch MergeWalls.svg|16px]] Merge Walls}}.
  
== Scripting ==
+
== Scripting == <!--T:8-->
 
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
 
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
  
 +
<!--T:9-->
 
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
 
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
 
</translate>
 
</translate>
Line 31: Line 35:
 
<translate>
 
<translate>
  
 +
<!--T:10-->
 
Example:
 
Example:
 
</translate>
 
</translate>
Line 48: Line 53:
 
}}
 
}}
 
<translate>
 
<translate>
 +
<!--T:11-->
 
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
 
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
  

Revision as of 13:08, 5 February 2019

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arrow-left.svg Previous: Close Holes
Next: Check Arrow-right.svg

Arch MergeWalls.svg Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

How to use

  1. Select two or more walls.
  2. Go to the menu Arch → Utilities → Arch MergeWalls.svg Merge Walls.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])
Arrow-left.svg Previous: Close Holes
Next: Check Arrow-right.svg